#!/usr/bin/env ruby
# -*- coding: utf-8 -*-

module DebianConfig

  # dpkg -S /bin/uname で確認
  CMD_DEBIAN = {
    :uname => { :cmd => nil, :package => 'coreutils', :checks => [ '/bin/uname', '/usr/bin/uname' ]  },
    :dpkg => { :cmd => nil, :package => 'dpkg', :checks => [ '/usr/bin/dpkg', '/bin/dpkg' ] },
    :'dpkg-query' => { :cmd => nil , :package => 'dpkg', :checks => [ '/usr/bin/dpkg-query', '/bin/dpkg-query'] },
    :sort => { :cmd => nil, :package => 'coreutils', :checks => [ '/usr/bin/sort', '/bin/sort' ] },
    :find => { :cmd => nil, :package => 'findutils', :checks => [ '/usr/bin/find', '/bin/find' ] },
    :unzip => { :cmd => nil, :package => 'unzip', :checks => [ '/usr/bin/unzip', '/bin/unzip'] },
  }

  CMD_DEBIAN_old = {
    :uname => { :cmd => '/bin/uname', :package => 'coreutils' },
    :dpkg => { :cmd => '/usr/bin/dpkg', :package => 'dpkg' },
    :'dpkg-query' => { :cmd => '/usr/bin/dpkg-query' , :package => 'dpkg' },
    :sort => { :cmd => '/usr/bin/sort', :package => 'coreutils' },
    :find => { :cmd => '/usr/bin/find', :package => 'findutils'},
    :unzip => { :cmd => '/usr/bin/unzip', :package => 'unzip' },
  }

end
